gr::radar::estimator_ofdm_impl Class Reference

`#include <estimator_ofdm_impl.h>`

Inheritance diagram for gr::radar::estimator_ofdm_impl:

## Public Member Functions

| estimator_ofdm_impl (std::string symbol_x, int len_x, std::vector< float > axis_x, std::string symbol_y, int len_y, std::vector< float > axis_y, bool merge_consecutive)
| ~estimator_ofdm_impl ()
void | handle_msg (pmt::pmt_t msg)

## Public Attributes

int | d_len_x
int | d_len_y
std::string | d_symbol_x
std::string | d_symbol_y
std::vector< float > | d_axis_x
std::vector< float > | d_axis_y
bool | d_merge_consecutive
pmt::pmt_t | d_port_id_in
pmt::pmt_t | d_port_id_out
pmt::pmt_t | d_paxis_x
pmt::pmt_t | d_paxis_y
pmt::pmt_t | d_ppower
std::vector< float > | d_val_power
std::vector< float > | d_val_x
std::vector< float > | d_val_y
std::vector< float > | d_map_x
std::vector< float > | d_map_y
pmt::pmt_t | d_x_key
pmt::pmt_t | d_x_value
pmt::pmt_t | d_x_pack
pmt::pmt_t | d_y_key
pmt::pmt_t | d_y_value
pmt::pmt_t | d_y_pack
pmt::pmt_t | d_value
pmt::pmt_t | d_ptimestamp

## Additional Inherited Members

Public Types inherited from gr::radar::estimator_ofdm
typedef std::shared_ptr< estimator_ofdm > | sptr
Static Public Member Functions inherited from gr::radar::estimator_ofdm
static sptr | make (std::string symbol_x, int len_x, std::vector< float > axis_x, std::string symbol_y, int len_y, std::vector< float > axis_y, bool merge_consecutive=true)
| Return a shared_ptr to a new instance of radar::estimator_ofdm.

## Constructor & Destructor Documentation

## estimator_ofdm_impl()

gr::radar::estimator_ofdm_impl::estimator_ofdm_impl | ( | std::string | symbol_x,
|  | int | len_x,
|  | std::vector< float > | axis_x,
|  | std::string | symbol_y,
|  | int | len_y,
|  | std::vector< float > | axis_y,
|  | bool | merge_consecutive )

## ~estimator_ofdm_impl()

gr::radar::estimator_ofdm_impl::~estimator_ofdm_impl | ( |  | ) |

## Member Function Documentation

## handle_msg()

void gr::radar::estimator_ofdm_impl::handle_msg | ( | pmt::pmt_t | msg | ) |

## Member Data Documentation

## d_axis_x

std::vector<float> gr::radar::estimator_ofdm_impl::d_axis_x

## d_axis_y

std::vector<float> gr::radar::estimator_ofdm_impl::d_axis_y

## d_len_x

int gr::radar::estimator_ofdm_impl::d_len_x

## d_len_y

int gr::radar::estimator_ofdm_impl::d_len_y

## d_map_x

std::vector<float> gr::radar::estimator_ofdm_impl::d_map_x

## d_map_y

std::vector<float> gr::radar::estimator_ofdm_impl::d_map_y

## d_merge_consecutive

bool gr::radar::estimator_ofdm_impl::d_merge_consecutive

## d_paxis_x

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_paxis_x

## d_paxis_y

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_paxis_y

## d_port_id_in

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_port_id_in

## d_port_id_out

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_port_id_out

## d_ppower

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_ppower

## d_ptimestamp

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_ptimestamp

## d_symbol_x

std::string gr::radar::estimator_ofdm_impl::d_symbol_x

## d_symbol_y

std::string gr::radar::estimator_ofdm_impl::d_symbol_y

## d_val_power

std::vector<float> gr::radar::estimator_ofdm_impl::d_val_power

## d_val_x

std::vector<float> gr::radar::estimator_ofdm_impl::d_val_x

## d_val_y

std::vector<float> gr::radar::estimator_ofdm_impl::d_val_y

## d_value

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_value

## d_x_key

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_x_key

## d_x_pack

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_x_pack

## d_x_value

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_x_value

## d_y_key

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_y_key

## d_y_pack

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_y_pack

## d_y_value

pmt::pmt_t gr::radar::estimator_ofdm_impl::d_y_value

The documentation for this class was generated from the following file:

- estimator_ofdm_impl.h